RequestContextTag (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Java] Class RequestContextTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.RequestContextTag

All Implemented Interfaces:
  GrailsTag

    public abstract class RequestContextTag
    extends java.lang.Object

Authors:
  Graeme Rocher

Field Summary
`protected org.springframework.web.context.WebApplicationContext` | `applicationContext`
`protected java.util.Map` | `attributes`
`protected org.springframework.beans.BeanWrapper` | `bean`
`protected java.lang.String` | `contextPath`
`protected GrailsApplication` | `grailsApplication`
`protected java.io.Writer` | `out`
`protected GrailsTagRegistry` | `registry`
`protected javax.servlet.ServletRequest` | `request`
`protected javax.servlet.ServletResponse` | `response`
`protected javax.servlet.ServletContext` | `servletContext`
`protected org.springframework.web.util.UrlPathHelper` | `urlPathHelper`

Constructor Summary
`protected RequestContextTag(java.lang.String name)`

Method Summary
`void` | `doEndTag()`
`protected void` | `doEndTagInternal()`
`void` | `doStartTag()`
`protected void` | `doStartTagInternal()`
`java.lang.String` | `getName()`
`GrailsTagRegistry` | `getRegistry()`
`void` | `init(java.util.Map context)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setAttributes(java.util.Map attributes)`
`void` | `setWriter(java.io.Writer w)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### applicationContext

    protected org.springframework.web.context.WebApplicationContext applicationContext

### attributes

    @java.lang.SuppressWarnings("rawtypes")
    protected java.util.Map attributes

### bean

    protected org.springframework.beans.BeanWrapper bean

### contextPath

    protected java.lang.String contextPath

### grailsApplication

    protected GrailsApplication grailsApplication

### out

    protected java.io.Writer out

### registry

    protected GrailsTagRegistry registry

### request

    protected javax.servlet.ServletRequest request

### response

    protected javax.servlet.ServletResponse response

### servletContext

    protected javax.servlet.ServletContext servletContext

### urlPathHelper

    protected org.springframework.web.util.UrlPathHelper urlPathHelper

Constructor Detail

### RequestContextTag

    protected RequestContextTag(java.lang.String name)

Method Detail

### doEndTag

    public final void doEndTag()

### doEndTagInternal

    protected void doEndTagInternal()

### doStartTag

    public final void doStartTag()

### doStartTagInternal

    protected void doStartTagInternal()

### getName

    public java.lang.String getName()

### getRegistry

    public GrailsTagRegistry getRegistry()

### init

    @java.lang.SuppressWarnings("rawtypes")
    public void init(java.util.Map context)

### setAttribute

    @java.lang.SuppressWarnings("unchecked")
    public void setAttribute(java.lang.String name, java.lang.Object value)

### setAttributes

    @java.lang.SuppressWarnings("rawtypes")
    public void setAttributes(java.util.Map attributes)

### setWriter

    public void setWriter(java.io.Writer w)

Groovy Documentation